### File

`packages/eui-dynamic-forms-ui/src/lib/forms.module.ts`

### Declarations

- ALabelComponent
- AListItemsComponent
- AnyTypeInputComponent
- AutoCompleteTagFieldComponent
- BcRootComponent
- ButtonComponent
- CheckboxComponent
- DataTableComponent
- DateInputComponent
- FieldsetContainerComponent
- FormChildContainerComponent
- FormMetaDataGeneratorComponent
- MultipleSubTypeContainerComponent
- NumberInputComponent
- OneToManyContainerComponent
- RadioButtonComponent
- RawArrayContainerComponent
- RecursiveTypeContainerComponent
- SelectInputComponent
- TabContainerComponent
- TestRootComponent
- TextAreaInputComponent
- TextInputComponent
- UxDynContainerComponent
- UxDynFormsComponent
- UxDynInjectorComponent

### EntryComponents

- ENTRY_COMPONENTS

### Providers

- DynConfigService
- DynDataService
- DynFormApiService
- DynGenericService
- DynJsonSchemaFormGeneratorService
- DynMetaDataService
- DynValidationsService
- FormService
- MultiStoreService

### Imports

- CoreModule

### Exports

- CoreModule

### Methods

Static forRoot
`forRoot(dynMap: UxDynMappingConfig)`

Parameters :

Name | Type | Optional
dynMap | `UxDynMappingConfig` | No

Returns : `ModuleWithProviders`

# result-matching ""

# No results matching ""